library(stringr)
data <- read.csv("szurt-formazatlan.csv")
data
HUFXEUR <- 400
## tisztítás
### numeric
data$Évjárat <- data$Évjárat |> str_extract("[[:digit:]]{4}") |> as.numeric()
data$Műszakivizsgaérvényes<- data$Műszakivizsgaérvényes|> str_extract("[[:digit:]]{4}") |> as.numeric()

data$VételárEUR <- data$VételárEUR |> gsub("\\D","", x=_) |> as.numeric()
data$Vételár <-  ifelse(grepl("€",x=data$Vételár),NA,as.numeric(gsub("\\D","", x=data$Vételár)))
data$Vételár[is.na(data$Vételár)] <- data$VételárEUR[is.na(data$Vételár)] * HUFXEUR

data$Kmóraállás <- data$Kmóraállás |> gsub("\\D","", x=_) |> as.numeric()

data$Szállíthatószemszáma <- data$Szállíthatószemszáma |> gsub("\\D","", x=_) |> as.numeric()
data$Kmóraállás <- data$Kmóraállás |> gsub("\\D","", x=_) |> as.numeric()
data$Csomagtartó <- data$Csomagtartó |> gsub("\\D","", x=_) |> as.numeric()
data$Sajáttömeg <- data$Sajáttömeg |> gsub("\\D","", x=_) |> as.numeric()
data$Hengerűrtartalom <- data$Hengerűrtartalom|> gsub("\\D","", x=_) |> as.numeric()

data$Teljesítmény <- sapply(data$Teljesítmény, function(x) {
														(str_split(x,",") |> unlist())[2] |>
														gsub("\\D","", x=_) |> as.numeric()})
### faktorok
data$Állapot <- as.factor(data$Állapot)
data$Szín <- as.factor(data$Szín)
data$Klímafajtája<- as.factor(data$Klímafajtája)
data$Tető<- as.factor(data$Tető)
data$Kivitel<- as.factor(data$Kivitel)
data$Tető<- as.factor(data$Tető)
data$Üzemanyag<- as.factor(data$Üzemanyag)
levels(data$Üzemanyag) <- c("Benzin","Benzin","Dízel","Egyéb","Dízel","Dízel",
														"Elektromos","Egyéb","Hibrid","Hibrid","Hibrid","Egyéb")
data$Hajtás<- as.factor(data$Hajtás)
data$Sebességváltó<- as.factor(word(data$Sebességváltó,1))
levels(data$Sebességváltó) <- c("Automata","Automata","Automata",
																"Manuális","Manuális","Automata")
data$Okmányokjellege<- as.factor(data$Okmányokjellege)
data$Hengerelrendezés<- as.factor(data$Hengerelrendezés)
data$Márka <- as.factor(toupper(data$Márka))
data$Modell<- as.factor(toupper(data$Modell))
data$Megfigyelés <- as.Date("2023-10-9")

########

data[runif(1, 1, nrow(data)) |> floor(),]
summary(data$Modell)
levels(data$Sebességváltó)
summary(data$Sebességváltó)


######
((data[runif(1, 1, nrow(data)) |> floor(),]$Teljesítmény |> strsplit(",")) |> unlist())[2]
data |> summary()

write.csv(data,"tisztitott.csv")
